Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class SbmlSemanticTest

    |
    +--biouml.plugins.sbml._test.SbmlSemanticTest

public class SbmlSemanticTest
extends TestCase

Batch unit test for biouml.model package.

Constructor Summary
`SbmlSemanticTest(String name)` Standart JUnit constructor

Method Summary
`static Test` | `suite()` Make suite if tests.
`void` | `testJavaSimulationEngine_11()`
`void` | `testJavaSimulationEngine_21()`
`void` | `testMatlabSimulationEngine_11()`
`void` | `testMatlabSimulationEngine_21()`
`void` | `testSimulationEngine(String testListName, String title, SimulationEngine engine, String sbmlLevel)`

Constructor Detail

### SbmlSemanticTest

    public SbmlSemanticTest(String name)

  Standart JUnit constructor

Method Detail

### suite

    public static Test suite()

  Make suite if tests.

### testJavaSimulationEngine_11

    public void testJavaSimulationEngine_11()
                                      throws java.lang.Exception

### testJavaSimulationEngine_21

    public void testJavaSimulationEngine_21()
                                      throws java.lang.Exception

### testMatlabSimulationEngine_11

    public void testMatlabSimulationEngine_11()
                                        throws java.lang.Exception

### testMatlabSimulationEngine_21

    public void testMatlabSimulationEngine_21()
                                        throws java.lang.Exception

### testSimulationEngine

    public void testSimulationEngine(String testListName, String title, SimulationEngine engine, String sbmlLevel)
                               throws java.lang.Exception

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM